hadoop-common-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From cutt...@apache.org
Subject svn commit: r549216 - in /lucene/hadoop/trunk: CHANGES.txt src/contrib/ec2/bin/hadoop-ec2 src/contrib/ec2/bin/terminate-hadoop-cluster
Date Wed, 20 Jun 2007 20:12:31 GMT
Author: cutting
Date: Wed Jun 20 13:12:29 2007
New Revision: 549216

URL: http://svn.apache.org/viewvc?view=rev&rev=549216
Log:
HADOOP-1504.  Fix terminate-hadoop-cluster in contrib/ec2 to only terminate Hadoop instances,
and not other instances started by the same user.  Contributed by Tom White.

Modified:
    lucene/hadoop/trunk/CHANGES.txt
    lucene/hadoop/trunk/src/contrib/ec2/bin/hadoop-ec2
    lucene/hadoop/trunk/src/contrib/ec2/bin/terminate-hadoop-cluster

Modified: lucene/hadoop/trunk/CHANGES.txt
URL: http://svn.apache.org/viewvc/lucene/hadoop/trunk/CHANGES.txt?view=diff&rev=549216&r1=549215&r2=549216
==============================================================================
--- lucene/hadoop/trunk/CHANGES.txt (original)
+++ lucene/hadoop/trunk/CHANGES.txt Wed Jun 20 13:12:29 2007
@@ -200,6 +200,10 @@
  61. HADOOP-1023.  Add links to searchable mail archives.
      (tomwhite via cutting)
 
+ 62. HADOOP-1504.  Fix terminate-hadoop-cluster script in contrib/ec2
+     to only terminate Hadoop instances, and not other instances
+     started by the same user.  (tomwhite via cutting)
+
 
 Release 0.13.0 - 2007-06-08
 

Modified: lucene/hadoop/trunk/src/contrib/ec2/bin/hadoop-ec2
URL: http://svn.apache.org/viewvc/lucene/hadoop/trunk/src/contrib/ec2/bin/hadoop-ec2?view=diff&rev=549216&r1=549215&r2=549216
==============================================================================
--- lucene/hadoop/trunk/src/contrib/ec2/bin/hadoop-ec2 (original)
+++ lucene/hadoop/trunk/src/contrib/ec2/bin/hadoop-ec2 Wed Jun 20 13:12:29 2007
@@ -12,7 +12,7 @@
   echo "  start-hadoop         start Hadoop daemons on a cluster"
   echo "  login                login to the master node of the Hadoop EC2 cluster"
   echo "  run                  'launch-cluster', 'start-hadoop', 'login'"
-  echo "  terminate-cluster    terminate a cluster of Hadoop EC2 instances"
+  echo "  terminate-cluster    terminate all Hadoop EC2 instances"
   exit 1
 fi
 

Modified: lucene/hadoop/trunk/src/contrib/ec2/bin/terminate-hadoop-cluster
URL: http://svn.apache.org/viewvc/lucene/hadoop/trunk/src/contrib/ec2/bin/terminate-hadoop-cluster?view=diff&rev=549216&r1=549215&r2=549216
==============================================================================
--- lucene/hadoop/trunk/src/contrib/ec2/bin/terminate-hadoop-cluster (original)
+++ lucene/hadoop/trunk/src/contrib/ec2/bin/terminate-hadoop-cluster Wed Jun 20 13:12:29 2007
@@ -6,4 +6,16 @@
 bin=`cd "$bin"; pwd`
 . "$bin"/hadoop-ec2-env.sh
 
-ec2-terminate-instances `ec2-describe-instances | grep INSTANCE | awk '{print $2}'`
\ No newline at end of file
+# Finding Hadoop image
+AMI_IMAGE=`ec2-describe-images -a | grep $S3_BUCKET | grep $HADOOP_VERSION | grep available
| awk '{print $2}'`
+HADOOP_INSTANCES=`ec2-describe-instances | grep INSTANCE | grep $AMI_IMAGE`
+
+echo "Running Hadoop instances:"
+echo "$HADOOP_INSTANCES"
+read -p "Terminate all instances? [yes or no]: " answer
+
+if [ "$answer" != "yes" ]; then
+  exit 1
+fi
+
+ec2-terminate-instances `echo "$HADOOP_INSTANCES" | awk '{print $2}'`



Mime
View raw message